This section shows you how to create and send envelopes.
Methods supported
| Method | Description |
|---|---|
| createEnvelopesShares | POST /restapi/v2.1/accounts/{accountId}/envelopes/{envelopeId}/sharesCreates new envelopes shares |
| deleteEnvelopesShare | DEL /restapi/v2.1/accounts/{accountId}/envelopes/{envelopeId}/shares/{shareId}Deletes a single envelope share |
| deleteEnvelopesShares | DEL /restapi/v2.1/accounts/{accountId}/envelopes/{envelopeId}/sharesDeletes existing envelopes shares |
| getEnvelopesShare | GET /restapi/v2.1/accounts/{accountId}/envelopes/{envelopeId}/shares/{shareId}Gets a single envelope share by shareId |
| getEnvelopesShares | GET /restapi/v2.1/accounts/{accountId}/envelopes/{envelopeId}/sharesGets all shares for an envelope |
| getSharedEnvelopes | GET /restapi/v2.1/accounts/{accountId}/envelopes/sharedReturns a filtered list of shared envelopes. |
| updateEnvelopesShare | PUT /restapi/v2.1/accounts/{accountId}/envelopes/{envelopeId}/shares/{shareId}Updates a single envelope share |
| updateEnvelopesShares | PUT /restapi/v2.1/accounts/{accountId}/envelopes/{envelopeId}/sharesUpdates existing envelopes shares |
EnvelopeShares properties
| Property | Type | Description |
|---|---|---|
continuationToken | string | |
endPosition | string | The last position in the result set. |
envelopes | array | |
envelopeSearchSource | string | |
envelopeTransactionStatuses | array | |
folders | array | |
lastQueriedDateTime | string | |
nextUri | string | The URI to the next chunk of records based on the search request. If the endPosition is the entire results of the search, this is null. |
previousUri | string | The postal code for the billing address. |
resultSetSize | string | The number of results returned in this response. |
startPosition | string | Starting position of the current result set. |
totalSetSize | string | The total number of items available in the result set. This will always be greater than or equal to the value of the property returning the results in the in the response. |